//
//  FunctionView.m
//  FuncionesParametricas
//
//  Created by Santiago Pavón on 13/12/12.
//  Copyright (c) 2012 UPM. All rights reserved.
//

#import "FunctionView.h"

@implementation FunctionView


// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
	NSLog(@"Pintado");
	
	CGContextRef context = UIGraphicsGetCurrentContext();
	
	CGContextBeginPath(context);
	
	CGContextSetLineWidth(context, 3);
	CGContextSetStrokeColorWithColor(context,
									 [UIColor magentaColor].CGColor);
	
	int w = self.bounds.size.width;
	int h = self.bounds.size.height;
	
	int t0 = [self.dataSource initialTime];
	int t1 = [self.dataSource finalTime];
	
	CGPoint pos = [self.dataSource valueAtTime:t0];
	
	CGContextMoveToPoint(context, w/2+pos.x, h/2-pos.y);
	
	for (int t=t0+1 ; t <= t1 ; t++) {
		pos = [self.dataSource valueAtTime:t];
		CGContextAddLineToPoint(context, w/2+pos.x, h/2-pos.y);
	}
    
	CGContextDrawPath(context, kCGPathStroke);}


@end
